#===============================================================================
#
# BQCD -- Berlin Quantum ChromoDynamics programme
#
# Author: Hinnerk Stueben <stueben@zib.de>
#
# Copyright (C) 2003-2006, Hinnerk Stueben, Zuse-Institut Berlin
#
#-------------------------------------------------------------------------------
#
# modules/Makefile
#
#===============================================================================

include ../Makefile.defs

.SUFFIXES:
.SUFFIXES: .a .o .F90

.F90.o:
	$(FPP) -I.. $(FPPFLAGS) $< > $*.f90
	$(F90) -c $(FFLAGS) $*.f90

MODULES_DIR = .

MODULES = \
	typedef_cksum.o \
	typedef_clover.o \
	typedef_flags.o \
	typedef_hmc.o \
	typedef_para.o \
	module_bqcd.o \
	module_counter.o \
	module_d21.o \
	module_decomp.o \
	module_hmc_forces.o \
	module_lattice.o \
	module_lattice_io.o \
	module_nn.o \
	module_nnpe.o \
	module_offset.o \
	module_thread.o \
	module_vol.o \
	module_conf_info.o \
	module_function_decl.o \
	module_input.o \
	module_switches.o \
	module_p_interface.o \
	module_mre.o

modules: $(MODULES)

fast:
	$(MAKE)

clean:
	rm -f *.[Tiod] *.f90 *.mod work.pc work.pcl

clobber: clean
